## xrdp-hwe-18.04 0.9.5

=== sesman/chansrv/pulse/Makefile ===
#
# build xrdp pulseaudio modules
#

# change this to your pulseaudio source directory
PULSE_DIR = /tmp/pulseaudio-10.0
CFLAGS    = -Wall -O2 -I$(PULSE_DIR) -I$(PULSE_DIR)/src -DHAVE_CONFIG_H -fPIC

all: module-xrdp-sink.so module-xrdp-source.so

module-xrdp-sink.so: module-xrdp-sink.o
	$(CC) $(LDFLAGS) -shared -o module-xrdp-sink.so module-xrdp-sink.o

module-xrdp-source.so: module-xrdp-source.o
	$(CC) $(LDFLAGS) -shared -o module-xrdp-source.so module-xrdp-source.o

clean:
	rm -f module-xrdp-sink.o module-xrdp-sink.so module-xrdp-source.o module-xrdp-source.so

=== xorg/tests/randr/Makefile ===

CFLAGS = -O2 -Wall

all: test-randr

test-randr: trandr.c
	gcc $(CFLAGS) trandr.c -o test-randr -lX11 -lXrandr

.PHONY clean:
	rm -f *.o test-randr

=== xorg/tests/xdemo/Makefile ===

CFLAGS = -Werror -Wall

all: xdemo

xdemo: xdemo.c bmp_parser.c
	gcc $(CFLAGS) xdemo.c bmp_parser.c -o xdemo -lX11

.PHONY clean:
	rm -f *.o xdemo

=== debian/changelog ===
xrdp-hwe-18.04 (0.9.5-2~18.04.1) bionic; urgency=medium

  * Rename for 18.04.3 HWE stack update. (LP: #1817225)
    - build only xorgxrdp-hwe-18.04 binary

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 23 Jul 2019 23:52:02 +0300

xrdp (0.9.5-2) unstable; urgency=medium

  [ Thorsten Glaser ]

  * Re-enable asm code for i386, the fixed upstream is included now.

  [ Dominik George ]

  * Enable vsock.
    + Requested by Craig White and Justin Terry from Microsoft.
  * Fix lintian issues.
    + Use HTTPS copyright format URL.
    + Move source{.,/}lintian-overrides.
    + Replace dh_systemd_start with dh_installsystemd call.

 -- Dominik George <nik@naturalnet.de>  Fri, 16 Feb 2018 16:42:50 +0100

xrdp (0.9.5-1) unstable; urgency=medium

  * New upstream version.
    + Remove patches applied upstream.
    + Refresh other patches.
    + Update debian/copyright.
  * Call X.org directly and remove notes about the wrapper.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Bump compat level to 11, no changes needed.

 -- Dominik George <nik@naturalnet.de>  Sun, 07 Jan 2018 22:24:28 +0100

xrdp (0.9.4-5) unstable; urgency=medium

  [ Dominik George ]
  * Add package to build PulseAudio modules.
    + Thanks to Wolfgang Schweer for the initial idea!
  * Update README.Debian.

  [ Thorsten Glaser ]
  * Fix typos.
  * Upload separately from the previous version targetting NEW.

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Dec 2017 17:09:14 +0100

xrdp (0.9.4-4) unstable; urgency=high

  [ Dominik George ]
  * Fix (possibly exploitable) high CPU load in ssl_tls_accept.
    (Closes: #884453)
  * Source /etc/profile in startwm. (Closes: #882246)
    + Thanks to Wolfgang Schweer!
  * Update README.Debian.
  * Update bug report instructions.

  [ Thorsten Glaser ]
  * Allow user profile to override /etc/default/locale.
  * Upload to unstable, next upload is likely to idle in NEW for a bit.
  * Disable asm code for i386: xorgxrdp v0.2.4 does not contain the fix.

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Dec 2017 17:06:00 +0100

xrdp (0.9.4-3) unstable; urgency=high

  * Fix regression introduced by last upload. (Closes: #884702)
    + Upstream's patch for CVE-2017-16927 turned out to be broken.
      Thanks to Willem Mulder for reporting.

 -- Dominik George <nik@naturalnet.de>  Wed, 20 Dec 2017 19:40:16 +0100

xrdp (0.9.4-2) unstable; urgency=high

  [ Dominik George ]
  * Fix typo in previous changelog.
  * Fix CVE-2017-16927. (Closes: #882463)
  * Bump Standards-Version.
    + No changes needed.

  [ Thorsten Glaser ]
  * Place missing log_end_msg in init script.
  * Run libpainter/bootstrap as well.
  * Re-enable SIMD on any-i386.
  * Cherry-pick missing parts from experimental branch.
  * Fix another typo in previous changelog.

 -- Dominik George <nik@naturalnet.de>  Fri, 15 Dec 2017 02:10:18 +0100

xrdp (0.9.4-1) unstable; urgency=medium

  * New upstream version. (Closes: #876976, #858098, #864230, #867494)
    + Includes xorgxrdp 0.2.4.
    + Refreshed patches.
    + Updated d/copyright.
    + Japanese keyboard patch is not needed anymore, applied upstream.
    + High resolution RFX patch is not needed anymore, applied upstream.
    + FreeBSD patch is not needed anymore, applied upstream.
    + Socket path patch is not needed anymore, made configurable upstream.
    + CVE-2017-6967 patch is not needed anymore, applied upstream.
  * Update to policy version 4.1.1 (no changes needed).

 -- Dominik George <nik@naturalnet.de>  Mon, 09 Oct 2017 19:00:08 +0200

xrdp (0.9.1-9) unstable; urgency=high

  * Revisit incomplete fix for CVE-2017-6967. (Closes: #858143)

 -- Dominik George <nik@naturalnet.de>  Thu, 04 May 2017 18:59:10 +0200

xrdp (0.9.1-8) unstable; urgency=medium

  * Fix CVE-2017-6967. (Closes: #858143, #855536)

 -- Dominik George <nik@naturalnet.de>  Mon, 24 Apr 2017 20:14:36 +0200

xrdp (0.9.1-7) unstable; urgency=medium

  * Fix RFX with large tile sets, e.g. full HD displays. (Closes: #855387)

 -- Dominik George <nik@naturalnet.de>  Sat, 18 Feb 2017 16:46:17 +0100

xrdp (0.9.1-6) unstable; urgency=medium

  * Fix japanese keyboard detection. (Closes: #854847)

 -- Dominik George <nik@naturalnet.de>  Mon, 13 Feb 2017 21:09:43 +0100

xrdp (0.9.1-5) unstable; urgency=medium

  * Ensure creation of /run directory. (Closes: #854548)

 -- Dominik George <nik@naturalnet.de>  Thu, 09 Feb 2017 12:47:36 +0100

xrdp (0.9.1-4) unstable; urgency=high

  [ Thorsten Glaser ]
  * Fix up PAM conffile handling for upgrades from jessie{,-backports}.
  * Fix build on non-linux architectures. (Closes: #831663)
    + Don’t use FUSE on the Hurd, it does not support enough of it yet.
    + Add GNU/kFreeBSD support to NASM format detection autoconfigury.
  * Remove patch to make stack not executable in *.asm files; upstrem
    fixed this already.
  * Enable Large File Support, as pointed out by lintian.
  * Disable assembly code on any-i386 for now, it must be ported
    (partially rewritten) for PIC support.

  [ Dominik George ]
  * Update/minimise systemd service file patch.
    + Also moves sockpath related part to sockpath patch.
  * Switch back to compat level 10.

 -- Dominik George <nik@naturalnet.de>  Wed, 25 Jan 2017 18:10:11 +0100

xrdp (0.9.1-3) unstable; urgency=medium

  * Fix up last changelog entry.
  * Update bug-control.
    + Report status of xserver-xorg-legacy.

 -- Dominik George <nik@naturalnet.de>  Sun, 15 Jan 2017 00:30:44 +0100

xrdp (0.9.1-2) unstable; urgency=medium

  * Do not ship initial cert/key generated during build.
     + Makes build reproducible.

 -- Dominik George <nik@naturalnet.de>  Sun, 01 Jan 2017 11:58:02 +0100

xrdp (0.9.1-1) unstable; urgency=medium

  [ Dominik George ]

  * New upstream release.
    + Now has an upstream changelog.
    + Enables xauth cookies to prevent unauthorised X server access.
    + Enables libpainter for clients not supporting drawing orders.
      + Fixes MS RDP client on Android and others.


=== debian/control ===
Source: xrdp-hwe-18.04
Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
 Andreas Tille <tille@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1.6),
 debhelper (>= 11~),
 libfuse-dev [!hurd-any],
 libjpeg-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
 nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
 openssl,
 pkg-config,
 systemd [linux-any],
 x11-utils,
 xserver-xorg-core-hwe-18.04,
 xserver-xorg-dev-hwe-18.04,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
Homepage: http://xrdp.sourceforge.net

Package: xorgxrdp-hwe-18.04
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${xdriver:Depends},
Recommends:
 xorg-hwe-18.04,
Provides:
 xorgxrdp, xorg-renamed-package, xorg-renamed-package-hwe-18.04,
 xorg-driver-input,
 xorg-driver-video,
Description: Remote Desktop Protocol (RDP) modules for X.org
 xorgxrdp is a set of drivers (screen device, keyboard, and mouse)
 for X.org enabling use through an RDP session with xrdp. For full
 operation, most standard X11 fonts and tools need to be installed;
 the Recommended xorg metapackage is a superset of what’s actually
 needed but will do.
Replaces: xorgxrdp
Conflicts: xorgxrdp

=== debian/rules ===
#!/usr/bin/make -f

DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS:=1
include /usr/share/dpkg/default.mk

export PKG_CONFIG_PATH=${CURDIR}/pkgconfig

# this is precisely what dh_auto_configure does
CONFIGURE_ARGS:=	--build=${DEB_BUILD_GNU_TYPE} \
			--prefix=/usr \
			--includedir=\$${prefix}/include \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--localstatedir=/var \
			--disable-silent-rules \
			--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
			--libexecdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
			--disable-maintainer-mode \
			--disable-dependency-tracking \
			--with-socketdir=/var/run/xrdp/sockdir

ifneq (${DEB_BUILD_GNU_TYPE},${DEB_HOST_GNU_TYPE})
CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
endif

ifeq (x32,${DEB_HOST_ARCH})
# autodetection fails on x32 (wrongly recognised as amd64)
CONFIGURE_ARGS+=	--without-simd
endif

ifeq (hurd,${DEB_HOST_ARCH_OS})
# fuse_lowlevel.h is not yet usable
CONFIGURE_ARGS+=	--disable-fuse
endif

%:
	dh $@

override_dh_auto_configure:
	./bootstrap
	cd xorgxrdp && ./bootstrap
	cd librfxcodec && ./bootstrap
	cd libpainter && ./bootstrap
	./configure \
	    --enable-ipv6 \
	    --enable-jpeg \
	    --enable-fuse \
	    --enable-rfxcodec \
	    --enable-opus \
	    --enable-painter \
	    --enable-vsock \
	    ${CONFIGURE_ARGS}
	cd xorgxrdp && ./configure \
	    ${CONFIGURE_ARGS}
	cd librfxcodec && ./configure \
	    --disable-shared \
	    --enable-static \
	    ${CONFIGURE_ARGS}
	cd libpainter && ./configure \
	    --disable-shared \
	    --enable-static \
	    ${CONFIGURE_ARGS}
	find . -name Makefile -print0 | \
	    xargs -0 perl -pi -e 's!XRDP_PID_PATH.*?/run!$$&/xrdp!g' --

override_dh_auto_install:
	dh_auto_install -v --destdir=debian/xrdp-hwe-18.04
	# remove unused/confusing files
	rm -f debian/xrdp-hwe-18.04/etc/xrdp/xrdp.sh
	rm -f debian/xrdp-hwe-18.04/etc/xrdp/startwm.sh
	rm -f debian/xrdp-hwe-18.04/etc/xrdp/rsakeys.ini
	rm -f debian/xrdp-hwe-18.04/usr/bin/rfxcodectest
	rm -f debian/xrdp-hwe-18.04/etc/xrdp/cert.pem
	rm -f debian/xrdp-hwe-18.04/etc/xrdp/key.pem
	# Policy
	find debian/xrdp-hwe-18.04/ -name \*.la -print0 | xargs -0 rm -f --
	find debian/xrdp-hwe-18.04/usr/lib/ -name \*.a -print0 | \
	    xargs -0 strip --strip-debug -R .comment --
	# package split
	mkdir -p debian/xorgxrdp-hwe-18.04/etc debian/xorgxrdp-hwe-18.04/usr/lib
	mv debian/xrdp-hwe-18.04/etc/X11 debian/xorgxrdp-hwe-18.04/etc/
	mv debian/xrdp-hwe-18.04/usr/lib/xorg debian/xorgxrdp-hwe-18.04/usr/lib/

#override_dh_installchangelogs:
#	dh_installchangelogs -pxrdp-hwe-18.04 -- NEWS.md
#	dh_installchangelogs --remaining-packages

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_installsystemd:
	dh_installsystemd --no-restart-on-upgrade

override_dh_shlibdeps:
	# That's a plugin, use appropriate warning level:
	dh_shlibdeps -pxorgxrdp-hwe-18.04 -- --warnings=6
	# Use default levels for everything else:
#	dh_shlibdeps --remaining-packages

override_dh_gencontrol:
	echo >>debian/xorgxrdp-hwe-18.04.substvars "xdriver:Depends=$$( \
	    (cd /usr/share/xserver-xorg && cat videodrvdep xinputdep) | \
	    sed 's/, /\n/g' | sort -u | \
	    perl -0e 'print join(", ", split(/\n/, <>));')"
	dh_gencontrol

override_dh_clean:
	dh_clean
	chmod +x xorgxrdp/tests/xorg-test-run.sh
